Subject: RE: bug#10497: cua mode C-x not working

From: "Drew Adams" <[email-masked]>
Date: Fri, 13 Jan 2012 14:15:56 -0800

> Thanks for the report, but I cannot reproduce this with Emacs 23.3 on
> GNU/Linux. cua--register is a variable, not a function. It's 
> hard to see
> how this error could happen. It almost looks like your cua-base.el has
> been mis-compiled, since the only reference to cua--register in
> cua-cut-region is:
> 
> (cond
>    (cua--register
>     (copy-to-register cua--register start end t))
>     ...)

I couldn't repro it either, and I too see nowhere the value of variable
`cua--register' being called as a function. 

Mike sent me a screenshot separately (he originally thought it was a conflict
between Icicles and CUA mode), and in the screenshot there is this error message
in buffer *Messages*:

cua-cut-region: Symbol's function definition is void: cua--register

IOW, it was indeed `cua-cut-region' that tried to invoke `cua--register' as a
function.  No idea why.

He's using the 23.3.1 release.  Dunno why I cannot repro it using the same
release.

Maybe if he byte-compiles cua-base.el anew the problem will go away...